Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.core.trs
Interface TRSConstants

All Superinterfaces:
  OslcConstants

    public interface TRSConstants

extends OslcConstants

Set of constants useful for builing TRS implementations

Field Summary
`static String` | `FileSep`
`static String` | `LDP_CONTAINER`
`static String` | `LDP_NAMESPACE`
`static String` | `LDP_NAMESPACE_PREFIX`
`static String` | `LDP_NEXT_PAGE`
`static String` | `LDP_PAGE`
`static String` | `LDP_PAGE_OF`
`static String` | `LDP_TERM_CONTAINER`
`static String` | `LDP_TERM_NEXT_PAGE`
`static String` | `LDP_TERM_PAGE`
`static String` | `LDP_TERM_PAGE_OF`
`static String` | `RDF_NIL`
`static String` | `RDF_PTERM_NIL`
`static String` | `RDF_PTERM_TYPE`
`static String` | `RDF_TERM_NIL`
`static String` | `RDF_TERM_TYPE`
`static String` | `RDF_TYPE`
`static String` | `RDFS_MEMBER`
`static String` | `RDFS_PTERM_MEMBER`
`static String` | `RDFS_TERM_MEMBER`
`static String` | `TRS__PTERM_TYPE_BASE`
`static String` | `TRS__PTERM_TYPE_CHANGE_LOG`
`static String` | `TRS__PTERM_TYPE_CREATION`
`static String` | `TRS__PTERM_TYPE_DELETION`
`static String` | `TRS__PTERM_TYPE_MODIFICATION`
`static String` | `TRS__PTERM_TYPE_TRACKED_RESOURCE_SET`
`static String` | `TRS__PTERM_TYPE_TRACKED_RESOURCE_SET_PROVIDER`
`static String` | `TRS_BASE`
`static String` | `TRS_CHANGE`
`static String` | `TRS_CHANGE_LOG`
`static String` | `TRS_CHANGED`
`static String` | `TRS_CUTOFFEVENT`
`static String` | `TRS_NAMESPACE`
`static String` | `TRS_NAMESPACE_PREFIX`
`static String` | `TRS_ORDER`
`static String` | `TRS_PREVIOUS`
`static String` | `TRS_PTERM_BASE`
`static String` | `TRS_PTERM_CHANGE`
`static String` | `TRS_PTERM_CHANGE_LOG`
`static String` | `TRS_PTERM_CHANGED`
`static String` | `TRS_PTERM_CUTOFFEVENT`
`static String` | `TRS_PTERM_ORDER`
`static String` | `TRS_PTERM_PREVIOUS`
`static String` | `TRS_PTERM_TRACKED_RESOURCE_SET`
`static String` | `TRS_PTERM_TRACKED_RESOURCE_SET_PROVIDER`
`static String` | `TRS_TERM_BASE`
`static String` | `TRS_TERM_CHANGE`
`static String` | `TRS_TERM_CHANGE_LOG`
`static String` | `TRS_TERM_CHANGED`
`static String` | `TRS_TERM_CUTOFFEVENT`
`static String` | `TRS_TERM_ORDER`
`static String` | `TRS_TERM_PREVIOUS`
`static String` | `TRS_TERM_TRACKED_RESOURCE_SET`
`static String` | `TRS_TERM_TRACKED_RESOURCE_SET_PROVIDER`
`static String` | `TRS_TERM_TYPE_BASE`
`static String` | `TRS_TERM_TYPE_CHANGE_LOG`
`static String` | `TRS_TERM_TYPE_CREATION`
`static String` | `TRS_TERM_TYPE_DELETION`
`static String` | `TRS_TERM_TYPE_MODIFICATION`
`static String` | `TRS_TERM_TYPE_TRACKED_RESOURCE_SET`
`static String` | `TRS_TERM_TYPE_TRACKED_RESOURCE_SET_PROVIDER`
`static String` | `TRS_TRACKED_RESOURCE_SET`
`static String` | `TRS_TRACKED_RESOURCE_SET_PROVIDER`
`static String` | `TRS_TYPE_BASE`
`static String` | `TRS_TYPE_CHANGE_LOG`
`static String` | `TRS_TYPE_CREATION`
`static String` | `TRS_TYPE_DELETION`
`static String` | `TRS_TYPE_MODIFICATION`
`static String` | `TRS_TYPE_TRACKED_RESOURCE_SET`
`static String` | `TRS_TYPE_TRACKED_RESOURCE_SET_PROVIDER`
`static String` | `XSD_NAMESPACE`
`static String` | `XSD_NAMESPACE_PREFIX`

Fields inherited from interface org.eclipse.lyo.oslc4j.core.model.OslcConstants
`DCTERMS_NAMESPACE, DCTERMS_NAMESPACE_PREFIX, OSLC_CORE_DOMAIN, OSLC_CORE_NAMESPACE, OSLC_CORE_NAMESPACE_PREFIX, OSLC_DATA_NAMESPACE, OSLC_DATA_NAMESPACE_PREFIX, OSLC_USAGE_DEFAULT, PATH_ALLOWED_VALUES, PATH_COMPACT, PATH_CREATION_FACTORY, PATH_DIALOG, PATH_ERROR, PATH_EXTENDED_ERROR, PATH_OAUTH_CONFIGURATION, PATH_PREFIX_DEFINITION, PATH_PREVIEW, PATH_PROPERTY, PATH_PUBLISHER, PATH_QUERY_CAPABILITY, PATH_RESOURCE_SHAPE, PATH_RESOURCE_SHAPES, PATH_SERVICE, PATH_SERVICE_PROVIDER, PATH_SERVICE_PROVIDER_CATALOG, RDF_NAMESPACE, RDF_NAMESPACE_PREFIX, RDFS_NAMESPACE, RDFS_NAMESPACE_PREFIX, TYPE_ALLOWED_VALUES, TYPE_COMPACT, TYPE_CONTAINER, TYPE_CREATION_FACTORY, TYPE_DIALOG, TYPE_ERROR, TYPE_EXTENDED_ERROR, TYPE_O_AUTH_CONFIGURATION, TYPE_PREFIX_DEFINITION, TYPE_PREVIEW, TYPE_PROPERTY, TYPE_PUBLISHER, TYPE_QUERY_CAPABILITY, TYPE_RESOURCE_SHAPE, TYPE_RESPONSE_INFO, TYPE_SERVICE, TYPE_SERVICE_PROVIDER, TYPE_SERVICE_PROVIDER_CATALOG, XML_NAMESPACE`

Field Detail

### TRS_NAMESPACE

    static final String TRS_NAMESPACE

See Also:
  Constant Field Values

### TRS_NAMESPACE_PREFIX

    static final String TRS_NAMESPACE_PREFIX

See Also:
  Constant Field Values

### TRS_TERM_TYPE_BASE

    static final String TRS_TERM_TYPE_BASE

See Also:
  Constant Field Values

### TRS__PTERM_TYPE_BASE

    static final String TRS__PTERM_TYPE_BASE

See Also:
  Constant Field Values

### TRS_TYPE_BASE

    static final String TRS_TYPE_BASE

See Also:
  Constant Field Values

### TRS_TERM_TYPE_CHANGE_LOG

    static final String TRS_TERM_TYPE_CHANGE_LOG

See Also:
  Constant Field Values

### TRS__PTERM_TYPE_CHANGE_LOG

    static final String TRS__PTERM_TYPE_CHANGE_LOG

See Also:
  Constant Field Values

### TRS_TYPE_CHANGE_LOG

    static final String TRS_TYPE_CHANGE_LOG

See Also:
  Constant Field Values

### TRS_TERM_TYPE_CREATION

    static final String TRS_TERM_TYPE_CREATION

See Also:
  Constant Field Values

### TRS__PTERM_TYPE_CREATION

    static final String TRS__PTERM_TYPE_CREATION

See Also:
  Constant Field Values

### TRS_TYPE_CREATION

    static final String TRS_TYPE_CREATION

See Also:
  Constant Field Values

### TRS_TERM_TYPE_DELETION

    static final String TRS_TERM_TYPE_DELETION

See Also:
  Constant Field Values

### TRS__PTERM_TYPE_DELETION

    static final String TRS__PTERM_TYPE_DELETION

See Also:
  Constant Field Values

### TRS_TYPE_DELETION

    static final String TRS_TYPE_DELETION

See Also:
  Constant Field Values

### TRS_TERM_TYPE_MODIFICATION

    static final String TRS_TERM_TYPE_MODIFICATION

See Also:
  Constant Field Values

### TRS__PTERM_TYPE_MODIFICATION

    static final String TRS__PTERM_TYPE_MODIFICATION

See Also:
  Constant Field Values

### TRS_TYPE_MODIFICATION

    static final String TRS_TYPE_MODIFICATION

See Also:
  Constant Field Values

### TRS_TERM_TYPE_TRACKED_RESOURCE_SET

    static final String TRS_TERM_TYPE_TRACKED_RESOURCE_SET

See Also:
  Constant Field Values

### TRS__PTERM_TYPE_TRACKED_RESOURCE_SET

    static final String TRS__PTERM_TYPE_TRACKED_RESOURCE_SET

See Also:
  Constant Field Values

### TRS_TYPE_TRACKED_RESOURCE_SET

    static final String TRS_TYPE_TRACKED_RESOURCE_SET

See Also:
  Constant Field Values

### TRS_TERM_TYPE_TRACKED_RESOURCE_SET_PROVIDER

    static final String TRS_TERM_TYPE_TRACKED_RESOURCE_SET_PROVIDER

See Also:
  Constant Field Values

### TRS__PTERM_TYPE_TRACKED_RESOURCE_SET_PROVIDER

    static final String TRS__PTERM_TYPE_TRACKED_RESOURCE_SET_PROVIDER

See Also:
  Constant Field Values

### TRS_TYPE_TRACKED_RESOURCE_SET_PROVIDER

    static final String TRS_TYPE_TRACKED_RESOURCE_SET_PROVIDER

See Also:
  Constant Field Values

### TRS_TERM_BASE

    static final String TRS_TERM_BASE

See Also:
  Constant Field Values

### TRS_PTERM_BASE

    static final String TRS_PTERM_BASE

See Also:
  Constant Field Values

### TRS_BASE

    static final String TRS_BASE

See Also:
  Constant Field Values

### TRS_TERM_CHANGE_LOG

    static final String TRS_TERM_CHANGE_LOG

See Also:
  Constant Field Values

### TRS_PTERM_CHANGE_LOG

    static final String TRS_PTERM_CHANGE_LOG

See Also:
  Constant Field Values

### TRS_TERM_CHANGED

    static final String TRS_TERM_CHANGED

See Also:
  Constant Field Values

### TRS_PTERM_CHANGED

    static final String TRS_PTERM_CHANGED

See Also:
  Constant Field Values

### TRS_CHANGED

    static final String TRS_CHANGED

See Also:
  Constant Field Values

### TRS_CHANGE_LOG

    static final String TRS_CHANGE_LOG

See Also:
  Constant Field Values

### TRS_TERM_CHANGE

    static final String TRS_TERM_CHANGE

See Also:
  Constant Field Values

### TRS_PTERM_CHANGE

    static final String TRS_PTERM_CHANGE

See Also:
  Constant Field Values

### TRS_CHANGE

    static final String TRS_CHANGE

See Also:
  Constant Field Values

### TRS_TERM_CUTOFFEVENT

    static final String TRS_TERM_CUTOFFEVENT

See Also:
  Constant Field Values

### TRS_PTERM_CUTOFFEVENT

    static final String TRS_PTERM_CUTOFFEVENT

See Also:
  Constant Field Values

### TRS_CUTOFFEVENT

    static final String TRS_CUTOFFEVENT

See Also:
  Constant Field Values

### TRS_TERM_ORDER

    static final String TRS_TERM_ORDER

See Also:
  Constant Field Values

### TRS_PTERM_ORDER

    static final String TRS_PTERM_ORDER

See Also:
  Constant Field Values

### TRS_ORDER

    static final String TRS_ORDER

See Also:
  Constant Field Values

### TRS_TERM_PREVIOUS

    static final String TRS_TERM_PREVIOUS

See Also:
  Constant Field Values

### TRS_PTERM_PREVIOUS

    static final String TRS_PTERM_PREVIOUS

See Also:
  Constant Field Values

### TRS_PREVIOUS

    static final String TRS_PREVIOUS

See Also:
  Constant Field Values

### TRS_TERM_TRACKED_RESOURCE_SET

    static final String TRS_TERM_TRACKED_RESOURCE_SET

See Also:
  Constant Field Values

### TRS_PTERM_TRACKED_RESOURCE_SET

    static final String TRS_PTERM_TRACKED_RESOURCE_SET

See Also:
  Constant Field Values

### TRS_TRACKED_RESOURCE_SET

    static final String TRS_TRACKED_RESOURCE_SET

See Also:
  Constant Field Values

### TRS_TERM_TRACKED_RESOURCE_SET_PROVIDER

    static final String TRS_TERM_TRACKED_RESOURCE_SET_PROVIDER

See Also:
  Constant Field Values

### TRS_PTERM_TRACKED_RESOURCE_SET_PROVIDER

    static final String TRS_PTERM_TRACKED_RESOURCE_SET_PROVIDER

See Also:
  Constant Field Values

### TRS_TRACKED_RESOURCE_SET_PROVIDER

    static final String TRS_TRACKED_RESOURCE_SET_PROVIDER

See Also:
  Constant Field Values

### RDFS_TERM_MEMBER

    static final String RDFS_TERM_MEMBER

See Also:
  Constant Field Values

### RDFS_PTERM_MEMBER

    static final String RDFS_PTERM_MEMBER

See Also:
  Constant Field Values

### RDFS_MEMBER

    static final String RDFS_MEMBER

See Also:
  Constant Field Values

### RDF_TERM_TYPE

    static final String RDF_TERM_TYPE

See Also:
  Constant Field Values

### RDF_PTERM_TYPE

    static final String RDF_PTERM_TYPE

See Also:
  Constant Field Values

### RDF_TYPE

    static final String RDF_TYPE

See Also:
  Constant Field Values

### RDF_TERM_NIL

    static final String RDF_TERM_NIL

See Also:
  Constant Field Values

### RDF_PTERM_NIL

    static final String RDF_PTERM_NIL

See Also:
  Constant Field Values

### RDF_NIL

    static final String RDF_NIL

See Also:
  Constant Field Values

### FileSep

    static final String FileSep

### LDP_NAMESPACE_PREFIX

    static final String LDP_NAMESPACE_PREFIX

See Also:
  Constant Field Values

### LDP_NAMESPACE

    static final String LDP_NAMESPACE

See Also:
  Constant Field Values

### LDP_TERM_CONTAINER

    static final String LDP_TERM_CONTAINER

See Also:
  Constant Field Values

### LDP_CONTAINER

    static final String LDP_CONTAINER

See Also:
  Constant Field Values

### LDP_TERM_PAGE

    static final String LDP_TERM_PAGE

See Also:
  Constant Field Values

### LDP_PAGE

    static final String LDP_PAGE

See Also:
  Constant Field Values

### LDP_TERM_NEXT_PAGE

    static final String LDP_TERM_NEXT_PAGE

See Also:
  Constant Field Values

### LDP_NEXT_PAGE

    static final String LDP_NEXT_PAGE

See Also:
  Constant Field Values

### LDP_TERM_PAGE_OF

    static final String LDP_TERM_PAGE_OF

See Also:
  Constant Field Values

### LDP_PAGE_OF

    static final String LDP_PAGE_OF

See Also:
  Constant Field Values

### XSD_NAMESPACE_PREFIX

    static final String XSD_NAMESPACE_PREFIX

See Also:
  Constant Field Values

### XSD_NAMESPACE

    static final String XSD_NAMESPACE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All rights reserved.